For the complete documentation index, see llms.txt. This page is also available as Markdown.

IaC Explorer

Search IaC Stacks

Search IaC stacks

post

Query IaC stacks with filtering, sorting, and pagination

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
and
Responses
200

Successful response

application/json
totalintegerOptional

Total number of stacks matching the query

post/api/iacStacks
POST /api/iacStacks HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 496

{
  "page": 1,
  "pageSize": 50,
  "pageNumber": 1,
  "tablePageSize": 1,
  "screenFilters": {
    "stateType": [
      "text"
    ],
    "providerIntegrationId": [
      "text"
    ],
    "providerType": [
      "text"
    ],
    "providerAccountId": [
      "text"
    ],
    "stackAssetTypes": [
      "text"
    ],
    "status": [
      "text"
    ],
    "iacState": [
      "text"
    ],
    "vcsRepo": [
      "text"
    ],
    "backendLocation": [
      "text"
    ],
    "hasIntegratedProviders": true,
    "hasNotIntegratedProviders": true,
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "freeTextSearch": "text",
  "sorting": {
    "field": "text",
    "order": "desc"
  },
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "hits": [
    {
      "id": "text",
      "name": "text",
      "stateType": "terraform",
      "status": "text",
      "version": "text",
      "backend": "text",
      "lastApplied": "2026-01-01T00:00:00.000Z",
      "assetCount": 1,
      "stackProviders": [
        {
          "providerType": "text",
          "providerAccountId": "text",
          "providerIntegrationId": "text",
          "isIntegrated": true
        }
      ],
      "metadata": {
        "vcsRepo": "text",
        "vcsPath": "text",
        "branch": "text"
      }
    }
  ],
  "total": 1
}

Query Backends

Query backends

post

Query backend/crawler data with filtering and pagination

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
and
Responses
200

Successful response

application/json
totalintegerOptional

Total number of backends

post/api/iacStacks/backends
POST /api/iacStacks/backends HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 454

{
  "page": 1,
  "pageSize": 50,
  "pageNumber": 1,
  "tablePageSize": 1,
  "screenFilters": {
    "stateType": [
      "text"
    ],
    "providerIntegrationId": [
      "text"
    ],
    "providerType": [
      "text"
    ],
    "providerAccountId": [
      "text"
    ],
    "stackAssetTypes": [
      "text"
    ],
    "status": [
      "text"
    ],
    "iacState": [
      "text"
    ],
    "vcsRepo": [
      "text"
    ],
    "backendLocation": [
      "text"
    ],
    "hasIntegratedProviders": true,
    "hasNotIntegratedProviders": true,
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "freeTextSearch": "text",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "hits": [
    {
      "id": "text",
      "type": "s3",
      "mainLocation": "text",
      "lastScan": "2026-01-01T00:00:00.000Z",
      "isDeleted": true,
      "remoteIntegrationId": "text"
    }
  ],
  "aggs": [
    {
      "key": "text",
      "doc_count": 1
    }
  ],
  "total": 1
}

Query Repositories

Query repositories

post

Query VCS repositories containing IaC code

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
freeTextSearchstringOptional

Free text search query

Other propertiesanyOptional
Responses
200

Successful response

application/json
repoFullNamestringOptional

Full repository name (org/repo)

maxTimestampnumberOptional

Last update timestamp (epoch)

post/api/iacStacks/repositories
POST /api/iacStacks/repositories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 398

{
  "screenFilters": {
    "stateType": [
      "text"
    ],
    "providerIntegrationId": [
      "text"
    ],
    "providerType": [
      "text"
    ],
    "providerAccountId": [
      "text"
    ],
    "stackAssetTypes": [
      "text"
    ],
    "status": [
      "text"
    ],
    "iacState": [
      "text"
    ],
    "vcsRepo": [
      "text"
    ],
    "backendLocation": [
      "text"
    ],
    "hasIntegratedProviders": true,
    "hasNotIntegratedProviders": true,
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "freeTextSearch": "text",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
[
  {
    "repoFullName": "text",
    "maxTimestamp": 1,
    "topHit": {
      "vcsId": "text",
      "vcsType": "github",
      "modulesCount": 1,
      "resourcesCount": 1
    }
  }
]

Query Modules

Query modules

post

Query Terraform/Pulumi modules with filtering and pagination

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
and
Responses
200

Successful response

application/json
totalintegerOptional

Total number of modules

post/api/iacStacks/modules
POST /api/iacStacks/modules HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 347

{
  "page": 1,
  "pageSize": 50,
  "pageNumber": 1,
  "tablePageSize": 1,
  "screenFilters": {
    "repoFullName": [
      "text"
    ],
    "moduleOriginType": [
      "text"
    ],
    "misconfigurations": [
      "text"
    ],
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "freeTextSearch": "text",
  "size": 1,
  "sort": [
    {
      "field": "text",
      "order": "desc"
    }
  ],
  "sortArr": [
    {
      "field": "text",
      "sort": "text"
    }
  ],
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "modules": [
    {
      "id": "text",
      "moduleFolderPath": "text",
      "repoFullName": "text",
      "moduleVcsPath": "text",
      "vcsType": "github",
      "updateAt": "2026-01-01T00:00:00.000Z",
      "lastContributor": "text",
      "firstContributor": "text",
      "usageCount": 1,
      "version": "text",
      "moduleOrigin": "text",
      "moduleOriginType": "local"
    }
  ],
  "total": 1
}

Query Providers

Query providers

post

Query stack providers aggregations

Authorizations
AuthorizationstringRequired

JWT authentication token

Body
Other propertiesanyOptional
Responses
200

Successful response

application/json

Response containing provider types and URLs aggregations

post/api/iacStacks/providers
POST /api/iacStacks/providers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 374

{
  "screenFilters": {
    "stateType": [
      "text"
    ],
    "providerIntegrationId": [
      "text"
    ],
    "providerType": [
      "text"
    ],
    "providerAccountId": [
      "text"
    ],
    "stackAssetTypes": [
      "text"
    ],
    "status": [
      "text"
    ],
    "iacState": [
      "text"
    ],
    "vcsRepo": [
      "text"
    ],
    "backendLocation": [
      "text"
    ],
    "hasIntegratedProviders": true,
    "hasNotIntegratedProviders": true,
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "types": {
    "ANY_ADDITIONAL_PROPERTY": {
      "ANY_ADDITIONAL_PROPERTY": {
        "count": 1,
        "isIntegrated": true
      }
    }
  },
  "urls": {
    "buckets": [
      {
        "key": "text",
        "doc_count": 1
      }
    ]
  }
}

Last updated

Was this helpful?